Overview
GET
/gamification/badgesgamificationThe global badge catalog
List badges.
Auth: bearerAuth — calls run as the authenticated user.
Responses
200
Badge definitions
- idstring
- namestring
- descriptionstring
- iconstring
- criteriaTypestring
- criteriaThresholdinteger
- pointValueinteger
- subjectTypeoptionalstring?
Example
[
{
"id": "string",
"name": "string",
"description": "string",
"icon": "string",
"criteriaType": "string",
"criteriaThreshold": 0,
"pointValue": 0,
"subjectType": "string"
}
]401
Error
- erroroptionalobject
Example
{
"error": {
"message": "string",
"code": "string"
}
}Code examples
cURL
curl -X GET "https://api.agenticdeveloperhub.com/gamification/badges" \
-H "Authorization: Bearer YOUR_TOKEN"JavaScript
const res = await fetch("https://api.agenticdeveloperhub.com/gamification/badges", {
method: "GET",
headers: {
"Authorization": "Bearer YOUR_TOKEN"
},
});
const data = await res.json();